interface IRangedUnit {
  boolean isDead();
  int getRange();
}

class Crossbowman implements IRangedUnit {
  int strength;
  int player;
  
  Crossbowman( int _strength, int _player ) {
    this.strength = _strength;
    this.player = _player;
  }
  
  public boolean isDead() {
    return this.strength <= 0;
  }
  
  public int getRange() {
    return 2;
  }
    
}

class Longbowman implements IRangedUnit {
  int strength;
  int player;
  
  Longbowman( int _strength, int _player ) {
    this.strength = _strength;
    this.player = _player;
  }
  
  public boolean isDead() {
    return this.strength <= 0;
  }
  
  public int getRange() {
    return 3;
  }
}