interface IRangedUnit {
  boolean isDead();
  int getRange();
}

abstract class RangedUnit implements IRangedUnit {
  int strength;
  int player;
  
  RangedUnit( int _strength, int _player ) {
    this.strength = _strength;
    this.player = _player;
  }
  
  public boolean isDead() {
    return this.strength <= 0;
  }
  
  public int getRange() {
    return 2;
  }
}
  
class Crossbowman extends RangedUnit {
  
  Crossbowman( int _strength, int _player ) {
    super( _strength, _player );
  } 
}

class Longbowman extends RangedUnit {
  
  Longbowman( int _strength, int _player ) {
    super( _strength, _player );
  }
  
  @Override
  public int getRange() {
    return 3;
  }
}